## no critic
package Bencher::ScenarioR::URIEscaping;

our $VERSION = 0.005; # VERSION

our $results = [[200,"OK",[{dataset=>"u_ascii53",ds_tags=>"unescape",errors=>4.5e-07,p_tags=>"unescape",participant=>"URI::Encode::uri_decode",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>8341.28518165785,rate=>3600,samples=>23,time=>280},{dataset=>"ascii53",ds_tags=>"escape",errors=>4.2e-07,p_tags=>"escape",participant=>"URI::Encode::uri_encode",pct_faster_vs_slowest=>0.00316923676709012,pct_slower_vs_fastest=>8314.93003045279,rate=>3600,samples=>21,time=>280},{dataset=>"ascii66",ds_tags=>"escape",errors=>6.6e-07,p_tags=>"escape",participant=>"URI::Encode::uri_encode",pct_faster_vs_slowest=>0.012821190795864,pct_slower_vs_fastest=>8235.68112147473,rate=>3600,samples=>22,time=>280},{dataset=>"u_ascii66",ds_tags=>"unescape",errors=>4.8e-07,p_tags=>"unescape",participant=>"URI::Encode::uri_decode",pct_faster_vs_slowest=>0.0257665691770369,pct_slower_vs_fastest=>8131.7325654128,rate=>3700,samples=>20,time=>270},{dataset=>"empty",ds_tags=>"escape",errors=>4.8e-07,p_tags=>"escape",participant=>"URI::Encode::uri_encode",pct_faster_vs_slowest=>0.0613819547818341,pct_slower_vs_fastest=>7858.83325236823,rate=>3800,samples=>20,time=>260},{dataset=>"ascii53",ds_tags=>"escape",errors=>2.7e-09,p_tags=>"escape, utf8",participant=>"URI::Escape::uri_escape_utf8",pct_faster_vs_slowest=>38.164138244182,pct_slower_vs_fastest=>212.008266124613,rate=>140000,samples=>30,time=>7.15},{dataset=>"ascii53",ds_tags=>"escape",errors=>3.3e-09,p_tags=>"escape",participant=>"URI::Escape::uri_escape",pct_faster_vs_slowest=>39.3681767497861,pct_slower_vs_fastest=>205.654990473457,rate=>144000,samples=>20,time=>6.93},{dataset=>"u_ascii53",ds_tags=>"unescape",errors=>2.5e-11,p_tags=>"unescape",participant=>"URI::Escape::uri_unescape",pct_faster_vs_slowest=>45.010580345681,pct_slower_vs_fastest=>180.312322491514,rate=>164390,samples=>24,time=>6.083},{dataset=>"utf36",ds_tags=>"escape, utf8",errors=>1.5e-09,p_tags=>"escape, utf8",participant=>"URI::Escape::uri_escape_utf8",pct_faster_vs_slowest=>45.8958367635457,pct_slower_vs_fastest=>176.889675446472,rate=>168000,samples=>26,time=>5.97},{dataset=>"ascii66",ds_tags=>"escape",errors=>1.5e-09,p_tags=>"escape, utf8",participant=>"URI::Escape::uri_escape_utf8",pct_faster_vs_slowest=>60.2625228381575,pct_slower_vs_fastest=>135.172733266248,rate=>219000,samples=>24,time=>4.57},{dataset=>"ascii66",ds_tags=>"escape",errors=>1.6e-09,p_tags=>"escape",participant=>"URI::Escape::uri_escape",pct_faster_vs_slowest=>63.3255617656633,pct_slower_vs_fastest=>128.688493231487,rate=>230000,samples=>23,time=>4.35},{dataset=>"u_ascii66",ds_tags=>"unescape",errors=>5e-09,p_tags=>"unescape",participant=>"URI::Escape::uri_unescape",pct_faster_vs_slowest=>76.0467349831388,pct_slower_vs_fastest=>107.275648325442,rate=>280000,samples=>20,time=>3.6},{dataset=>"empty",ds_tags=>"escape",errors=>8.3e-10,p_tags=>"escape, utf8",participant=>"URI::Escape::uri_escape_utf8",pct_faster_vs_slowest=>470.924240144003,pct_slower_vs_fastest=>16.6771703422403,rate=>1700000,samples=>20,time=>0.59},{dataset=>"ascii53",ds_tags=>"escape",errors=>5.5e-10,p_tags=>"escape",participant=>"URI::Escape::XS::uri_escape",pct_faster_vs_slowest=>685.77900958267,pct_slower_vs_fastest=>11.1469716826773,rate=>2500000,samples=>26,time=>0.41},{dataset=>"ascii66",ds_tags=>"escape",errors=>2.4e-11,p_tags=>"escape",participant=>"URI::Escape::XS::uri_escape",pct_faster_vs_slowest=>687.997977326867,pct_slower_vs_fastest=>11.1078514831404,rate=>2462000,samples=>31,time=>0.4062},{dataset=>"empty",ds_tags=>"escape",errors=>2.2e-11,p_tags=>"escape",participant=>"URI::Escape::uri_escape",pct_faster_vs_slowest=>701.044277995915,pct_slower_vs_fastest=>10.8828476253265,rate=>2508000,samples=>20,time=>0.3987},{dataset=>"ascii66",ds_tags=>"escape",errors=>2.1e-10,p_tags=>"escape, utf8",participant=>"URI::XSEscape::uri_escape_utf8",pct_faster_vs_slowest=>751.940715723696,pct_slower_vs_fastest=>10.0796042868257,rate=>2690000,samples=>20,time=>0.372},{dataset=>"ascii53",ds_tags=>"escape",errors=>1.7e-10,p_tags=>"escape, utf8",participant=>"URI::XSEscape::uri_escape_utf8",pct_faster_vs_slowest=>763.974433699025,pct_slower_vs_fastest=>9.90531240543404,rate=>2730000,samples=>31,time=>0.366},{dataset=>"u_ascii53",ds_tags=>"unescape",errors=>1.7e-11,p_tags=>"unescape",participant=>"URI::Escape::XS::uri_unescape",pct_faster_vs_slowest=>799.941864529404,pct_slower_vs_fastest=>9.41559387903813,rate=>2862000,samples=>20,time=>0.3494},{dataset=>"utf36",ds_tags=>"escape, utf8",errors=>2.4e-11,p_tags=>"escape, utf8",participant=>"URI::XSEscape::uri_escape_utf8",pct_faster_vs_slowest=>831.979120952016,pct_slower_vs_fastest=>9.01499914202341,rate=>2976000,samples=>20,time=>0.336},{dataset=>"empty",ds_tags=>"escape",errors=>5.8e-12,p_tags=>"escape",participant=>"URI::Escape::XS::uri_escape",pct_faster_vs_slowest=>852.911180077687,pct_slower_vs_fastest=>8.76949989213034,rate=>3051000,samples=>23,time=>0.3278},{dataset=>"u_ascii66",ds_tags=>"unescape",errors=>1.1e-10,p_tags=>"unescape",participant=>"URI::Escape::XS::uri_unescape",pct_faster_vs_slowest=>881.776661389741,pct_slower_vs_fastest=>8.45005180418423,rate=>3150000,samples=>20,time=>0.317},{dataset=>"empty",ds_tags=>"escape",errors=>8.6e-11,p_tags=>"escape, utf8",participant=>"URI::XSEscape::uri_escape_utf8",pct_faster_vs_slowest=>1047.54543612549,pct_slower_vs_fastest=>6.95605502083313,rate=>3750000,samples=>32,time=>0.267},{dataset=>"u_ascii53",ds_tags=>"unescape",errors=>2.4e-11,p_tags=>"unescape",participant=>"URI::XSEscape::uri_unescape",pct_faster_vs_slowest=>1375.23896900155,pct_slower_vs_fastest=>5.0616545306155,rate=>4920000,samples=>20,time=>0.203},{dataset=>"u_ascii66",ds_tags=>"unescape",errors=>1.7e-11,p_tags=>"unescape",participant=>"URI::XSEscape::uri_unescape",pct_faster_vs_slowest=>1393.56664433538,pct_slower_vs_fastest=>4.98199104757278,rate=>4983000,samples=>20,time=>0.2007},{dataset=>"ascii66",ds_tags=>"escape",errors=>2.7e-10,p_tags=>"escape",participant=>"URI::XSEscape::uri_escape",pct_faster_vs_slowest=>1526.51860919295,pct_slower_vs_fastest=>4.4613312934141,rate=>5500000,samples=>27,time=>0.18},{dataset=>"ascii53",ds_tags=>"escape",errors=>2.6e-10,p_tags=>"escape",participant=>"URI::XSEscape::uri_escape",pct_faster_vs_slowest=>1594.7285602788,pct_slower_vs_fastest=>4.22788486044288,rate=>5700000,samples=>29,time=>0.18},{dataset=>"empty",ds_tags=>"escape",errors=>1.6e-10,p_tags=>"escape",participant=>"URI::XSEscape::uri_escape",pct_faster_vs_slowest=>2787.83593424683,pct_slower_vs_fastest=>1.99131443309907,rate=>10000000,samples=>20,time=>0.1},{dataset=>"ascii53",ds_tags=>"escape",errors=>2.1e-10,p_tags=>"escape",participant=>"URI::Encode::XS::uri_encode",pct_faster_vs_slowest=>3358.45337628401,pct_slower_vs_fastest=>1.48322695607269,rate=>12000000,samples=>20,time=>0.083},{dataset=>"ascii66",ds_tags=>"escape",errors=>2.4e-11,p_tags=>"escape",participant=>"URI::Encode::XS::uri_encode",pct_faster_vs_slowest=>3367.57141268167,pct_slower_vs_fastest=>1.47650536671173,rate=>12000000,samples=>24,time=>0.0831},{dataset=>"u_ascii66",ds_tags=>"unescape",errors=>2.1e-10,p_tags=>"unescape",participant=>"URI::Encode::XS::uri_decode",pct_faster_vs_slowest=>3369.90501605695,pct_slower_vs_fastest=>1.47479093653492,rate=>12000000,samples=>20,time=>0.083},{dataset=>"u_ascii53",ds_tags=>"unescape",errors=>6e-11,p_tags=>"unescape",participant=>"URI::Encode::XS::uri_decode",pct_faster_vs_slowest=>3547.25570050475,pct_slower_vs_fastest=>1.35109470280598,rate=>12700000,samples=>23,time=>0.0789},{dataset=>"empty",ds_tags=>"escape",errors=>7.8e-11,p_tags=>"escape",participant=>"URI::Encode::XS::uri_encode",pct_faster_vs_slowest=>8341.28518165785,pct_slower_vs_fastest=>0,rate=>30000000,samples=>20,time=>0.034}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{args=>{str=>""},include_by_default=>1,include_participant_tags=>["escape"],name=>"empty",seq=>0,tags=>["escape"]},{args=>{str=>"I said this: you / them ~ us & me _will_ \"do-it\" NOW!"},include_by_default=>1,include_participant_tags=>["escape"],name=>"ascii53",seq=>1,tags=>["escape"]},{args=>{str=>"http://www.google.co.jp/search?q=\x{5C0F}\x{98FC}\x{5F3E}"},include_by_default=>1,include_participant_tags=>["escape & utf8"],name=>"utf36",seq=>2,tags=>["escape","utf8"]},{args=>{str=>"I%20said%20this%3a%20you%20%2f%20them%20~%20us%20%26%20me%20_will_%20%22do-it%22%20NOW%21"},include_by_default=>1,include_participant_tags=>["unescape"],name=>"u_ascii53",seq=>3,tags=>["unescape"]},{args=>{str=>"https://stackoverflow.com/questions/3629212/how can perls xsub die"},include_by_default=>1,include_participant_tags=>["escape"],name=>"ascii66",seq=>4,tags=>["escape"]},{args=>{str=>"https%3A%2F%2Fstackoverflow.com%2Fquestions%2F3629212%2Fhow%20can%20perls%20xsub%20die"},include_by_default=>1,include_participant_tags=>["unescape"],name=>"u_ascii66",seq=>5,tags=>["unescape"]}],participants=>[{_name=>"URI::Escape::uri_escape",fcall_template=>"URI::Escape::uri_escape(<str>)",function=>"uri_escape",include_by_default=>1,module=>"URI::Escape",seq=>0,tags=>["escape"],type=>"perl_code"},{_name=>"URI::Escape::uri_escape_utf8",fcall_template=>"URI::Escape::uri_escape_utf8(<str>)",function=>"uri_escape_utf8",include_by_default=>1,module=>"URI::Escape",seq=>1,tags=>["escape","utf8"],type=>"perl_code"},{_name=>"URI::Escape::uri_unescape",fcall_template=>"URI::Escape::uri_unescape(<str>)",function=>"uri_unescape",include_by_default=>1,module=>"URI::Escape",seq=>2,tags=>["unescape"],type=>"perl_code"},{_name=>"URI::XSEscape::uri_escape",fcall_template=>"URI::XSEscape::uri_escape(<str>)",function=>"uri_escape",include_by_default=>1,module=>"URI::XSEscape",seq=>3,tags=>["escape"],type=>"perl_code"},{_name=>"URI::XSEscape::uri_escape_utf8",fcall_template=>"URI::XSEscape::uri_escape_utf8(<str>)",function=>"uri_escape_utf8",include_by_default=>1,module=>"URI::XSEscape",seq=>4,tags=>["escape","utf8"],type=>"perl_code"},{_name=>"URI::XSEscape::uri_unescape",fcall_template=>"URI::XSEscape::uri_unescape(<str>)",function=>"uri_unescape",include_by_default=>1,module=>"URI::XSEscape",seq=>5,tags=>["unescape"],type=>"perl_code"},{_name=>"URI::Escape::XS::uri_escape",fcall_template=>"URI::Escape::XS::uri_escape(<str>)",function=>"uri_escape",include_by_default=>1,module=>"URI::Escape::XS",seq=>6,tags=>["escape"],type=>"perl_code"},{_name=>"URI::Escape::XS::uri_unescape",fcall_template=>"URI::Escape::XS::uri_unescape(<str>)",function=>"uri_unescape",include_by_default=>1,module=>"URI::Escape::XS",seq=>7,tags=>["unescape"],type=>"perl_code"},{_name=>"URI::Encode::uri_encode",fcall_template=>"URI::Encode::uri_encode(<str>)",function=>"uri_encode",include_by_default=>1,module=>"URI::Encode",seq=>8,tags=>["escape"],type=>"perl_code"},{_name=>"URI::Encode::uri_decode",fcall_template=>"URI::Encode::uri_decode(<str>)",function=>"uri_decode",include_by_default=>1,module=>"URI::Encode",seq=>9,tags=>["unescape"],type=>"perl_code"},{_name=>"URI::Encode::XS::uri_encode",fcall_template=>"URI::Encode::XS::uri_encode(<str>)",function=>"uri_encode",include_by_default=>1,module=>"URI::Encode::XS",seq=>10,tags=>["escape"],type=>"perl_code"},{_name=>"URI::Encode::XS::uri_decode",fcall_template=>"URI::Encode::XS::uri_decode(<str>)",function=>"uri_decode",include_by_default=>1,module=>"URI::Encode::XS",seq=>11,tags=>["unescape"],type=>"perl_code"}],summary=>"Benchmark URI escaping using various modules"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>0,speed=>3176.623,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>1,speed=>2660.159,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>2,speed=>"2831.380",stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>3,speed=>3017.302,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>4,speed=>2459.842,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>5,speed=>2409.419,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>6,speed=>3166.699,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>7,speed=>2878.354,stepping=>3}],"func.elapsed_time"=>1.20451211929321,"func.module_startup"=>undef,"func.module_versions"=>{"Benchmark::Dumb"=>0.111,"Devel::Platform::Info"=>"1.00","Sys::Info"=>0.7811,"URI::Encode"=>"1.1.1","URI::Encode::XS"=>0.11,"URI::Escape"=>3.31,"URI::Escape::XS"=>0.14,"URI::XSEscape"=>"0.001000",__PACKAGE__=>1.048,perl=>"v5.30.2"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["perl",["perl"],"participant",[0,1,2,3,4,5,6,7,8,9,10,11],"dataset",[0,1,2,3,4,5]],"func.platform_info"=>{archname=>"x86_64",codename=>"tara",is32bit=>0,is64bit=>1,kernel=>"linux-4.15.0-91-generic",kname=>"Linux",kvers=>"4.15.0-91-generic",osflag=>"linux",oslabel=>"LinuxMint",osname=>"GNU/Linux",osvers=>19,source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Linux Mint 19 Tara \\n \\l","lsb_release -a"=>"Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 19 Tara\nRelease:\t19\nCodename:\ttara","uname -a"=>"Linux builder 4.15.0-91-generic #92-Ubuntu SMP Fri Feb 28 11:09:48 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"4.15.0-91-generic","uname -s"=>"Linux"}},"func.precision"=>0,"func.time_end"=>1592438097.94733,"func.time_factor"=>1000000,"func.time_start"=>1592438096.74282,"table.field_aligns"=>["left","left","left","left","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,undef,undef,undef,"percent","percent",undef,undef],"table.field_units"=>[undef,undef,undef,undef,"/s","\x{3BC}s"],"table.fields"=>["participant","dataset","ds_tags","p_tags","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}]];

1;
# ABSTRACT: Benchmark URI escaping using various modules

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

